package WEB-INF.classes.wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseHeaderBean;

public class HrmEmpTransCnclApplHdrBean extends BaseHeaderBean implements Serializable {
  private String applnNo;
  
  private String applnDate;
  
  private String empNo;
  
  private String empName;
  
  private String generatedBy;
  
  private String ofcNoteNo;
  
  private String ofcNoteDate;
  
  private String cancelDeferFlag;
  
  private String defermentPeriod;
  
  private String deferredDate;
  
  private String reason;
  
  private String deferredStatus;
  
  private String orderNo;
  
  private String trnOrderType;
  
  private String fromSite;
  
  private String toSite;
  
  private String fromWorkGroup;
  
  private String toWorkGroup;
  
  private String fromDesignation;
  
  private String toDesignation;
  
  String applnNoId;
  
  String ofcNoteId;
  
  String employeeNoId;
  
  String orderDtlId;
  
  String orderDate;
  
  String effectDate;
  
  String empId;
  
  public String getApplnNo() {
    return this.applnNo;
  }
  
  public void setApplnNo(String newApplnNo) {
    this.applnNo = newApplnNo;
  }
  
  public String getApplnDate() {
    return this.applnDate;
  }
  
  public void setApplnDate(String newApplnDate) {
    this.applnDate = newApplnDate;
  }
  
  public String getEmpNo() {
    return this.empNo;
  }
  
  public void setEmpNo(String newEmpNo) {
    this.empNo = newEmpNo;
  }
  
  public String getEmpName() {
    return this.empName;
  }
  
  public void setEmpName(String newEmpName) {
    this.empName = newEmpName;
  }
  
  public String getGeneratedBy() {
    return this.generatedBy;
  }
  
  public void setGeneratedBy(String newGeneratedBy) {
    this.generatedBy = newGeneratedBy;
  }
  
  public String getOfcNoteNo() {
    return this.ofcNoteNo;
  }
  
  public void setOfcNoteNo(String newOfcNoteNo) {
    this.ofcNoteNo = newOfcNoteNo;
  }
  
  public String getOfcNoteDate() {
    return this.ofcNoteDate;
  }
  
  public void setOfcNoteDate(String newOfcNoteDate) {
    this.ofcNoteDate = newOfcNoteDate;
  }
  
  public String getCancelDeferFlag() {
    return this.cancelDeferFlag;
  }
  
  public void setCancelDeferFlag(String newCancelDeferFlag) {
    this.cancelDeferFlag = newCancelDeferFlag;
  }
  
  public String getDefermentPeriod() {
    return this.defermentPeriod;
  }
  
  public void setDefermentPeriod(String newDefermentPeriod) {
    this.defermentPeriod = newDefermentPeriod;
  }
  
  public String getDeferredDate() {
    return this.deferredDate;
  }
  
  public void setDeferredDate(String newDeferredDate) {
    this.deferredDate = newDeferredDate;
  }
  
  public String getReason() {
    return this.reason;
  }
  
  public void setReason(String newReason) {
    this.reason = newReason;
  }
  
  public String getDeferredStatus() {
    return this.deferredStatus;
  }
  
  public void setDeferredStatus(String newDeferredStatus) {
    this.deferredStatus = newDeferredStatus;
  }
  
  public String getOrderNo() {
    return this.orderNo;
  }
  
  public void setOrderNo(String newOrderNo) {
    this.orderNo = newOrderNo;
  }
  
  public String getTrnOrderType() {
    return this.trnOrderType;
  }
  
  public void setTrnOrderType(String newTrnOrderType) {
    this.trnOrderType = newTrnOrderType;
  }
  
  public String getFromSite() {
    return this.fromSite;
  }
  
  public void setFromSite(String newFromSite) {
    this.fromSite = newFromSite;
  }
  
  public String getToSite() {
    return this.toSite;
  }
  
  public void setToSite(String newToSite) {
    this.toSite = newToSite;
  }
  
  public String getFromWorkGroup() {
    return this.fromWorkGroup;
  }
  
  public void setFromWorkGroup(String newFromWorkGroup) {
    this.fromWorkGroup = newFromWorkGroup;
  }
  
  public String getToWorkGroup() {
    return this.toWorkGroup;
  }
  
  public void setToWorkGroup(String newToWorkGroup) {
    this.toWorkGroup = newToWorkGroup;
  }
  
  public String getFromDesignation() {
    return this.fromDesignation;
  }
  
  public void setFromDesignation(String newFromDesignation) {
    this.fromDesignation = newFromDesignation;
  }
  
  public String getToDesignation() {
    return this.toDesignation;
  }
  
  public void setToDesignation(String newToDesignation) {
    this.toDesignation = newToDesignation;
  }
  
  public String getApplnNoId() {
    return this.applnNoId;
  }
  
  public void setApplnNoId(String newApplnNoId) {
    this.applnNoId = newApplnNoId;
  }
  
  public String getOfcNoteId() {
    return this.ofcNoteId;
  }
  
  public void setOfcNoteId(String newOfcNoteId) {
    this.ofcNoteId = newOfcNoteId;
  }
  
  public String getEmployeeNoId() {
    return this.employeeNoId;
  }
  
  public void setEmployeeNoId(String newEmployeeNoId) {
    this.employeeNoId = newEmployeeNoId;
  }
  
  public String getOrderDtlId() {
    return this.orderDtlId;
  }
  
  public void setOrderDtlId(String newOrderDtlId) {
    this.orderDtlId = newOrderDtlId;
  }
  
  public String getOrderDate() {
    return this.orderDate;
  }
  
  public void setOrderDate(String newOrderDate) {
    this.orderDate = newOrderDate;
  }
  
  public String getEffectDate() {
    return this.effectDate;
  }
  
  public void setEffectDate(String newEffectDate) {
    this.effectDate = newEffectDate;
  }
  
  public String getEmpId() {
    return this.empId;
  }
  
  public void setEmpId(String newEmpId) {
    this.empId = newEmpId;
  }
}
